Get a list of trades. This is the equivalent of fetching transactions for the brokerage account.
Security
HTTPBearer
Base64-encoded HMAC-SHA256 hash of x-jiko-idempotency + request pathname + body, keyed with your shared secret. See Authentication for the full algorithm and a code sample.
- Sandbox serverhttps://your-partner-name.sandbox-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/trades/
- Production serverhttps://your-partner-name.partner-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/trades/
curl -i -X GET \
'https://your-partner-name.sandbox-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/trades/?trade_datetime_from=2019-08-24T14%3A15%3A22Z&trade_datetime_to=2019-08-24T14%3A15%3A22Z&book_date_from=2019-08-24&book_date_to=2019-08-24&settlement_date_from=2019-08-24&settlement_date_to=2019-08-24&order=desc&cursor=&limit=30' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'x-jiko-signature: string'Response
{ "prev_page": "cj0xJnA9MjAyMi0xMi0yMSsxNyUzQTIyJTNBMDguNjc5MzQ5JTJCMDAlM0EwMA==", "next_page": "cD0yMDIyLTEyLTE5KzE5JTNBNTQlM0EyNy4xODMyNzglMkIwMCUzQTAw", "items": [ { … } ], "object_type": "CursorList" }